Loading...
Searching...
No Matches
StencilTable Class Reference

Stencil table class wrapping the template for compatibility. More...

`#include <stencilTable.h>`

Inheritance diagram for StencilTable:

## Public Member Functions

Stencil | GetStencil (Index index) const
Stencil | operator[] (Index index) const
Public Member Functions inherited from StencilTableReal< float >
virtual | ~StencilTableReal ()
int | GetNumStencils () const
| Returns the number of stencils in the table.
int | GetNumControlVertices () const
| Returns the number of control vertices indexed in the table.
StencilReal< float > | GetStencil (Index i) const
| Returns a Stencil at index i in the table.
std::vector< int > const & | GetSizes () const
| Returns the number of control vertices of each stencil in the table.
std::vector< Index > const & | GetOffsets () const
| Returns the offset to a given stencil (factory may leave empty)
std::vector< Index > const & | GetControlIndices () const
| Returns the indices of the control vertices.
std::vector< float > const & | GetWeights () const
| Returns the stencil interpolation weights.
StencilReal< float > | operator[] (Index index) const
| Returns the stencil at index i in the table.
void | UpdateValues (T const &srcValues, U &dstValues, Index start=-1, Index end=-1) const
| Updates point values based on the control values.
void | UpdateValues (T1 const &srcBase, int numBase, T2 const &srcRef, U &dstValues, Index start=-1, Index end=-1) const
void | UpdateValues (T const *src, U *dst, Index start=-1, Index end=-1) const
void | UpdateValues (T1 const *srcBase, int numBase, T2 const *srcRef, U *dst, Index start=-1, Index end=-1) const
void | Clear ()
| Clears the stencils from the table.

## Protected Types

typedef StencilTableReal< float > | BaseTable

## Protected Member Functions

| StencilTable ()
| StencilTable (int numControlVerts)
| StencilTable (int numControlVerts, std::vector< int > const &offsets, std::vector< int > const &sizes, std::vector< int > const &sources, std::vector< float > const &weights, bool includeCoarseVerts, size_t firstOffset)
Protected Member Functions inherited from StencilTableReal< float >
| StencilTableReal (int numControlVerts, std::vector< int > const &offsets, std::vector< int > const &sizes, std::vector< int > const &sources, std::vector< float > const &weights, bool includeCoarseVerts, size_t firstOffset)
void | update (T const &srcValues, U &dstValues, std::vector< float > const &valueWeights, Index start, Index end) const
void | update (T1 const &srcBase, int numBase, T2 const &srcRef, U &dstValues, std::vector< float > const &valueWeights, Index start, Index end) const
void | generateOffsets ()
void | resize (int nstencils, int nelems)
void | reserve (int nstencils, int nelems)
void | shrinkToFit ()
void | finalize ()
| StencilTableReal ()
| StencilTableReal (int numControlVerts)

## Additional Inherited Members

Protected Attributes inherited from StencilTableReal< float >
int | _numControlVertices
std::vector< int > | _sizes
std::vector< Index > | _offsets
std::vector< Index > | _indices
std::vector< float > | _weights

## Detailed Description

Stencil table class wrapping the template for compatibility.

Definition at line 273 of file stencilTable.h.

## Member Typedef Documentation

## BaseTable

typedef StencilTableReal<float> BaseTable

protected

Definition at line 275 of file stencilTable.h.

## Constructor & Destructor Documentation

## StencilTable() [1/3]

StencilTable | ( |  | ) |

inline protected

Definition at line 286 of file stencilTable.h.

## StencilTable() [2/3]

StencilTable | ( | int | numControlVerts | ) |

inline protected

Definition at line 287 of file stencilTable.h.

## StencilTable() [3/3]

StencilTable | ( | int | numControlVerts,
|  | std::vector< int > const & | offsets,
|  | std::vector< int > const & | sizes,
|  | std::vector< int > const & | sources,
|  | std::vector< float > const & | weights,
|  | bool | includeCoarseVerts,
|  | size_t | firstOffset )

inline protected

Definition at line 288 of file stencilTable.h.

## Member Function Documentation

## GetStencil()

Stencil GetStencil | ( | Index | index | ) | const

inline

Definition at line 278 of file stencilTable.h.

## operator[]()

Stencil operator[] | ( | Index | index | ) | const

inline

Definition at line 281 of file stencilTable.h.

The documentation for this class was generated from the following file:

- opensubdiv/far/stencilTable.h